Name:           python-corsikaio
Version:        0.5.0
Release:        %autorelease
Summary:        Reader for corsika binary output files using numpy

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            http://github.com/cta-observatory/corsikaio
Source:         %{pypi_source corsikaio}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'corsikaio' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-corsikaio
Summary:        %{summary}

%description -n python3-corsikaio %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-corsikaio all,dev,tests,zstd


%prep
%autosetup -p1 -n corsikaio-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,dev,tests,zstd


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-corsikaio -f %{pyproject_files}


%changelog
%autochangelog